Pistis
API referenceApprovals and questions

List the agent's questions

GET
/sessions/{id}/asks

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

id*string

A session id

Response Body

Questions waiting for an answer

application/json
  1. response
items*array<>
Example Request
curl -X GET 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/asks'
Example Response
{  "items": [    {      "askId": "string",      "question": "string",      "options": [        "string"      ],      "at": 0    }  ]}